Subject: [dns-privacy] [IANA #1224837] Second Last Call: <draft-ietf-dprive-dnsoquic-09.txt> (DNS over Dedicated QUIC Connections) to Proposed Standard

From: "Sabrina Tanamal via RT" <[email-masked]>
Date: Wed, 23 Feb 2022 01:09:18 +0000

(BEGIN IANA COMMENTS)

IESG/Authors/WG Chairs:

The IANA Functions Operator has completed its review of draft-ietf-dprive-dnsoquic-09. If any part of this review is inaccurate, please let us know. 

The IANA Functions Operator understands that, upon approval of this document, there are four actions which we must complete.

First, in the TLS Application-Layer Protocol Negotiation (ALPN) Protocol IDs registry on the Transport Layer Security (TLS) Extensions registry page located at:

https://www.iana.org/assignments/tls-extensiontype-values/

a new registration is to be made as follows:

Protocol: DoQ
Identification Sequence: 0x64 0x6F 0x71 ("doq")
Reference: [ RFC-to-be ]

As this document requests registrations in an Expert Review (see RFC 8126) registry, we will initiate the required Expert Review via a separate request. This review must be completed before the document's IANA state can be changed to "IANA OK."

Second, we will update the description and list this document as an additional reference for UDP port 853:

Service Name: domain-s
Port Number: 853
Transport Protocol(s): UDP
Assignee: IETF DPRIVE Chairs
Contact: Brian Haberman
Description: DNS query-response protocol run over DTLS or QUIC
Reference: [RFC7858][RFC8094][ RFC-to-be ]

In addition, the Description field for the corresponding TCP port 853 allocation will be changed to 'DNS query-response protocol run over TLS'.

IANA Question: According to Section 8.1.1 of RFC 6335, the IESG should be listed as the assignee and the IETF Chair as the contact for an IETF-stream document. Can the assignee and contact fields in Section 10.2 be updated? 

IANA understands that the IETF Port expert team has reviewed the modifications above and has found them to be acceptable.

Third, in the Extended DNS Error Codes registry on the Domain Name System (DNS) Parameters registry page located at:

https://www.iana.org/assignments/dns-parameters/

a new registration will be made as follows:

INFO-CODE: [ TBD-at-Registration ]
Purpose: Too Early
Reference: [ RFC-to-be ]

Fourth, a new registry is to be created called the DNS over QUIC Error Codes registry. The new registry will be located on the Domain Name System (DNS) Parameters registry page located at:

https://www.iana.org/assignments/dns-parameters/

The registration rules for the new registry are:

0x00 - 0x3f require Standards Action or IESG Approval

Permanent registrations for values larger than 0x3f, which are assigned using the Specification Required policy (as defined in [RFC8126])

Provisional registrations for values larger than 0x3f, which require Expert Review, as defined in Section 4.5 of [RFC8126].

There are initial registrations in the new registry as follows:

+==========+=======================+================+============================+
|Value | Error |Description | Specification |
+==========+=======================+================+============================+
|0x0 | DOQ_NO_ERROR |No error | [ RFC-to-be; Section 5.3 ] |
+----------+-----------------------+----------------+----------------------------+
|0x1 | DOQ_INTERNAL_ERROR |Implementation | [ RFC-to-be; Section 5.3 ] |
| | |error | |
+----------+-----------------------+----------------+----------------------------+
|0x2 | DOQ_PROTOCOL_ERROR |Generic protocol| [ RFC-to-be; Section 5.3 ] |
| | |violation | |
+----------+-----------------------+----------------+----------------------------+
|0x3 | DOQ_REQUEST_CANCELLED |Request | [ RFC-to-be; Section 5.3 ] |
| | |cancelled by | |
| | |client | |
+----------+-----------------------+----------------+----------------------------+
|0x4 | DOQ_EXCESSIVE_LOAD |Closing a | [ RFC-to-be; Section 5.3 ] |
| | |connection for | |
| | |excessive load | |
+----------+-----------------------+----------------+----------------------------+
|0xd098ea5e| DOQ_ERROR_RESERVED |Alternative | [ RFC-to-be; Section 5.3 ] |
| | |error code used | |
| | |for tests | |
+----------+-----------------------+----------------+----------------------------+

The IANA Functions Operator understands that these are the only actions required to be completed upon approval of this document.

Note:  The actions requested in this document will not be completed until the document has been approved for publication as an RFC. This message is meant only to confirm the list of actions that will be performed. 

Thank you,

Sabrina Tanamal
Lead IANA Services Specialist

(END IANA COMMENTS)

---

From: Christian Huitema <[email-masked]>
Date: Tue, 22 Feb 2022 21:09:02 -0800

Thanks for the review, Sabrina. Your list of actions matches our intent. 
More below.

> As this document requests registrations in an Expert Review (see RFC 8126) registry, we will initiate the required Expert Review via a separate request. This review must be completed before the doc…

OK. I understand that this does not require an action on the part of the 
authors.

> IANA Question: According to Section 8.1.1 of RFC 6335, the IESG should be listed as the assignee and the IETF Chair as the contact for an IETF-stream document. Can the assignee and contact fields i…
Noted. Port 853 is already assigned to IESG with contact as IESG Chair 
in the current registry. We will fix that in the next update.
> There are initial registrations in the new registry as follows:

Looks good. Thank you.

-- Christian Huitema